package com.bonus.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_evalua_detail")
public class MenuEvaluaDetail extends Model<MenuEvaluaDetail> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("详情id")
   private Long detailId;
   @ApiModelProperty("评价id")
   private Long evaluaId;
   @ApiModelProperty("餐品类型(1-菜品,2-套餐,3-商品)")
   private Integer mealType;
   @ApiModelProperty("餐品id")
   private Long mealId;
   @ApiModelProperty("星级")
   private Integer starLevel;
   @ApiModelProperty("描述")
   private String description;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getEvaluaId() {
      return this.evaluaId;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public Long getMealId() {
      return this.mealId;
   }

   public Integer getStarLevel() {
      return this.starLevel;
   }

   public String getDescription() {
      return this.description;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setEvaluaId(final Long evaluaId) {
      this.evaluaId = evaluaId;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setMealId(final Long mealId) {
      this.mealId = mealId;
   }

   public void setStarLevel(final Integer starLevel) {
      this.starLevel = starLevel;
   }

   public void setDescription(final String description) {
      this.description = description;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
